Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class JavaAssignment

    java.lang.Object
      com.saxonica.codegen.JavaAssignment

All Implemented Interfaces:
  ReturnAction

    public class JavaAssignment

extends java.lang.Object
implements ReturnAction

A return action that assigns the value of the expression to a variable supplied by the caller

Constructor Summary
`JavaAssignment(java.lang.Class theClass, java.lang.String variableName)`

Method Summary
`java.lang.String` | `getVariableName()` Get the name of the variable holding the result
`java.lang.String` | `output(CompilerService compiler, java.lang.String expression)` Generate the return text

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaAssignment

    public JavaAssignment(java.lang.Class theClass,
                          java.lang.String variableName)

Method Detail

### output

    public java.lang.String output(CompilerService compiler,
                                   java.lang.String expression)

  Generate the return text

  Specified by:
    `output` in interface `ReturnAction`
  Parameters:
    `compiler` - the compiler service
    `expression` - the Java expression that computes the return value
  Returns:
    the Java statement to be output

### getVariableName

    public java.lang.String getVariableName()

  Get the name of the variable holding the result

  Specified by:
    `getVariableName` in interface `ReturnAction`
  Returns:
    the Java variable name

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.